Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-DA/EPV Affected Products: ADTF 2.9.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Datexporter

Resolution: Solved Issue FAQ Links:  

Description

Sehr geehrte Damen und Herren,

ich würde gerne den, in ADTF enthaltenen, DatExporter aus der Kommandozeile nutzen um MDF4 Files aus aufgenommen

Sequenzen zu erzeugen.

Für die Erzeugung von ASC Files funktioniert dies wunderbar, leider aber nicht für MDF4 Files.

Wenn ich anstatt der Kommandozeile, die GUI In ADTF nutze und die entsprechenden Parameter eintrage, ist ein Export aber ohne

Problem möglich.

Da sehr viele Sequenzen konvertiert/exportiert werden müssen, ist die Nutzung der Kommandozeile zwingend notwendig.

Ich habe ihnen die beiden unterschiedlichen Aufrufe angehängt. Beim Aufruf mit MDF4 kommt die Fehlermeldung, dass die

benötigte Klasse nicht vorhanden ist.

Die Parameter habe ich der GUI Version entnommen.

Muss noch ein anderer Service geladen werden oder ist die Auswahl des CAN Sink falsch. Für ihre Unterstützung wäre ich ihnen

dankbar.

1.    Erfolgreicher Export mit ASC:

C:\TOOLS\COMMON\ADTF\2.9.0\bin\adtf_datexporter.exe -service

C:\TOOLS\COMMON\ADTF\2.9.0\addons\adtf-device-toolbox\bin\external_file_support.srv -service

C:\TOOLS\COMMON\ADTF\2.9.0\addons\adtf-device-toolbox\bin\can_support.srv -export CAN

C:\Users\ern7abt\Desktop\ADTF_export\dat_file.dat -sinkid adtf.export.asc_file_sink

2.    Nicht erfolgreicher Export mit MDF

C:\TOOLS\COMMON\ADTF\2.9.0\bin\adtf_datexporter.exe -service

C:\TOOLS\COMMON\ADTF\2.9.0\addons\adtf-device-toolbox\bin\external_file_support.srv -service

C:\TOOLS\COMMON\ADTF\2.9.0\addons\adtf-device-toolbox\bin\can_support.srv -export CAN

C:\Users\ern7abt\Desktop\ADTF_export\dat_file.dat -sinkid adtf.export.mdf4_can_sink

Lösung:

Alle nötigen Informationen zum Handling sind im Usermanual der DevTB in Kap. 9.2 ADTF MDF4 DeviceTB support for the Dat

Exporter Service zu finden.

Bei älteren Version z.b. der DevTB 2.3.3 unter: 8.2 ADTF MDF4 DeviceTB support for the Dat Exporter Service

History

#1 - 2017-07-07 16:43 - hidden

- Topic set to ADTF::Datexporter

Hallo Robert,

welche Version der Device Toolbox ist installiert?

Alle nötigen Informationen zum Handling sind im Usermanual der DevTB in Kap. 9.2 ADTF MDF4 DeviceTB support for the Dat Exporter Service zu

finden.

Bei älteren Version z.b. der DevTB 2.3.3 unter: 8.2 ADTF MDF4 DeviceTB support for the Dat Exporter Service

Bitte prüfen ob das Problem damit schon erfasst ist.

#2 - 2017-07-10 09:52 - hidden
- Status changed from New to Customer Feedback Required

#3 - 2017-07-14 13:57 - hidden

- Subject changed from Support_Anfrage to MDF4 Files aus aufgenommen Sequenzen erzeugen

Bitte um Feedback bis zum 18.07. ob das Problem schon gelöst ist und wir das Support Ticket schließen können.

Danke und Gruß

Due Date auf 18.07. geändert

#4 - 2017-07-17 12:25 - hidden

Hallo Matthias,

Ja, das Ticket kann geschlossen werden.

Danke der Rückfrage!

#5 - 2017-07-17 13:46 - hidden

Hallo Robert,

noch eine kurze Rückfrage: Können wir das Ticket auf "öffentlich" umstellen?

Danke und Gruß

Matthias

#6 - 2017-07-19 09:48 - hidden

- Subject changed from MDF4 Files aus aufgenommen Sequenzen erzeugen to generate MDF4 Files from recorded sequences

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2017-07-19 09:48 - hidden

- Description updated

#8 - 2017-07-19 10:09 - hidden

Ja, dieses Ticket kann auf öffentlich umgestellt werden.

#9 - 2017-07-19 17:58 - hidden

- Subject changed from generate MDF4 Files from recorded sequences to Generate MDF4 Files from recorded sequences

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
